*     A02AAF Example Program Text
*     Mark 14 Revised. NAG Copyright 1989.
*     .. Parameters ..
      INTEGER          NIN, NOUT
      PARAMETER        (NIN=5,NOUT=6)
*     .. Local Scalars ..
      DOUBLE PRECISION XI, XR, YI, YR
*     .. External Subroutines ..
      EXTERNAL         A02AAF
*     .. Executable Statements ..
      WRITE (NOUT,*) 'A02AAF Example Program Results'
*     Skip heading in data file
      READ (NIN,*)
      READ (NIN,*) XR, XI
*
      CALL A02AAF(XR,XI,YR,YI)
*
      WRITE (NOUT,*)
      WRITE (NOUT,*) '   XR    XI      YR       YI'
      WRITE (NOUT,99999) XR, XI, YR, YI
      STOP
*
99999 FORMAT (1X,2F6.1,2F9.4)
      END
